#include<iostream>

using namespace std;

void FICA()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    int N;
    cin>>N;
    int x[N],y[N];

    for(int i=0;i<N;++i){
        cin>>x[i]>>y[i];
    }

    if(N == 1 || N == 2 || N == 3){
        cout<<"0"<<endl;
        return;
    }else if(N == 4){
        cout<<"1"<<endl;
        return;
    }

}

int main(void)
{
    FICA();
    return 0;
}